Package org.eclipse.net4j.util.ui.views

# Class ContainerItemProvider.AbstractContainerNode

java.lang.Object
ContainerItemProvider<CONTAINER>.AbstractNode
org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractContainerNode

All Implemented Interfaces:
  `ContainerItemProvider.Node`

Direct Known Subclasses:
  `ContainerItemProvider.ContainerNode`

Enclosing class:
  ContainerItemProvider<CONTAINER extends IContainer<Object>>

public abstract class ContainerItemProvider.AbstractContainerNode extends ContainerItemProvider<CONTAINER>.AbstractNode

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`protected IListener`
`containerListener`

### Fields inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

`NO_CHILDREN`

## Constructor Summary

Constructors
Constructor
Description
`AbstractContainerNode(ContainerItemProvider.Node parent)`

## Method Summary

Modifier and Type
Method
Description
`protected List<ContainerItemProvider.Node>`
`createChildren()`
`void`
`dispose()`
`void`
`disposeChildren()`
`protected void`
`fillChildren(List<ContainerItemProvider.Node> children, IContainer<Object> container)`
`final List<ContainerItemProvider.Node>`
`getChildren()`
`IContainer<Object>`
`getContainer()`
`boolean`
`hasChildren()`
`protected void`
`onAdded(IContainer<Object> container, Object element)`
`protected void`
`onRemoved(IContainer<Object> container, Object element)`

### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

`addChild, checkNotDisposed, getParent, getParentElement, getTreePath, isDisposed, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

`getElement`

## Field Details

### containerListener

protected IListener containerListener

## Constructor Details

### AbstractContainerNode

public AbstractContainerNode(ContainerItemProvider.Node parent)

## Method Details

### dispose

public void dispose()

Specified by:
  `dispose` in interface `ContainerItemProvider.Node`
Overrides:
  `dispose` in class `ContainerItemProvider<CONTAINER extends IContainer<Object>>.AbstractNode`

### disposeChildren

public void disposeChildren()

Specified by:
  `disposeChildren` in interface `ContainerItemProvider.Node`
Overrides:
  `disposeChildren` in class `ContainerItemProvider<CONTAINER extends IContainer<Object>>.AbstractNode`

### hasChildren

public boolean hasChildren()

Specified by:
  `hasChildren` in interface `ContainerItemProvider.Node`
Overrides:
  `hasChildren` in class `ContainerItemProvider<CONTAINER extends IContainer<Object>>.AbstractNode`
Since:
  3.4

### getChildren

public final List<ContainerItemProvider.Node> getChildren()

### getContainer

public IContainer<Object> getContainer()

### createChildren

protected List<ContainerItemProvider.Node> createChildren()

### fillChildren

protected void fillChildren(List<ContainerItemProvider.Node> children, IContainer<Object> container)

Since:
  3.1

### onAdded

protected void onAdded(IContainer<Object> container, Object element)

### onRemoved

protected void onRemoved(IContainer<Object> container, Object element)